Metafunction
Fibre
Type of a specific index member (fibre).
Fibre<TIndex, TSpec>::Type
Include Headers
seqan/index.h
Parameters

TSpec | Tag to specify the fibre. Types: ESA Index Fibres
TIndex | The index type. Types: Index

Remarks
An Index can be seen as a bundle consisting of various fibres. In most cases this type is String<Size<TIndex>::Type>. The fibre interface was designed to unify the access to the members of different index data structures. To get a reference or the type of a specific fibre use getFibre or Fibre.
A Fibre need not to be a real container. It can also be view (see EsaRawText).
Return Values
Fibre type.
See Also
WOTD Index Fibres, ESA Index Fibres, QGram Index Fibres, Pizza & Chili Index Fibres
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50